<?php

include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';
$set['title']='Покупка реклама';
include_once '../sys/inc/thead.php';
title();
err();
aut();


if (!isset($user)){
echo "Чтобы зайти в этот раздел надо зарегистрироваться!";
include_once '../sys/inc/tfoot.php';
}
mysql_query("DELETE FROM `recl`  WHERE `time` < '".time()."'");

$count_vse= mysql_result(mysql_query("SELECT COUNT(*) FROM `recl`"), 0);

if ($count_vse>4){
echo "Рекламу щас нельзя покупать, нет мест!";
include_once '../sys/inc/tfoot.php';
}
if (isset($_GET['set']) && isset($_POST['name'])&& isset($_POST['link']))
{

$name=mysql_real_escape_string(esc(stripcslashes(htmlspecialchars($_POST['name']))));
$link=mysql_real_escape_string(esc(stripcslashes(htmlspecialchars($_POST['link']))));
$timer=$time+=intval($_POST['time'])*60*60*24;
$balls=intval($_POST['time'])*100;
if($user['balls']<$balls)$err='Нехватает баллов!';
if (strlen2($name)<3)$err='Короткое имя!';
if (strlen2($link)<3)$err='Короткое имя!';
if (strlen2($name)>25)$err='В имени не должно быть длиннее 25-х символов!';
if (strlen2($link)>25)$err='В ссылке не должно быть длиннее 25-х символов!';
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `recl` WHERE `name` = '$name'"),0)!=0)$err='Такое название сайта уже есть!';
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `recl` WHERE `name` = '$name'"),0)!=0)$err='Такое название сайта уже есть!';
if (!isset($err))
{
mysql_query("UPDATE `user` SET `balls` = '".($user['balls']-$balls)."' WHERE `id` = '$user[id]' LIMIT 1");
mysql_query("INSERT INTO `recl` (`name`, `link`, `time`, `id_user`) VALUES  ('$name', '$link', '$timer', '".$user['id']."') ");
msg('Реклама успешно куплено!');
}
}
err();
echo "<div class='wm'>\n";
echo "<form method='post' action='?set'><div>\n";
echo "Название :<br /><input type='text' name='name' value='' maxlength='1500' /><br />";
echo "Ссылка :<br /><input type='text' name='link' value='http://' maxlength='1500' /><br />";
echo "Покупка рекламу по курсу 100 баллов = 1 день<br />Время рекламы : </br/> <input type='text' name='time' value='1' maxlength='11' size='3' />\n";
echo " Дня<br />\n";
echo "<input class='doctor' type='submit' name='ok' value='Купить' />\n";
echo "</div>\n";
echo "</form>\n";
echo "</div>";
echo "<div class='wm'>";
$count_moi= mysql_result(mysql_query("SELECT COUNT(*) FROM `recl` WHERE `id_user` = $user[id]",$db), 0);
echo '<img src="/style/icons/rekl.png" alt="" /> <a href="sait.php">Мои сайты </a>['.$count_moi.']<br />';
if (user_access('adm_panel_show')&&isset($user))echo '<img src="/style/icons/rekl.png" alt="" /> <a href="spisok.php">Список сайтов </a>['.$count_vse.']';

echo "</div>";

include_once '../sys/inc/tfoot.php';

?>
